<?php

declare(strict_types=1);

namespace Drupal\oktaplus\Event;

use Drupal\Core\Session\AccountInterface;
use Drupal\oktaplus\OktaLogEvent;
use Symfony\Contracts\EventDispatcher\Event;

/**
 * User activated event.
 */
final class UserActivatedEvent extends Event {

  public function __construct(
    public readonly AccountInterface $account,
    public readonly OktaLogEvent $logEvent,
  ) {}

}
